#region Copyright Syncfusion Inc. 2001 - 2005
//
//  Copyright Syncfusion Inc. 2001 - 2005. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Re-distribution in any form is strictly
//  prohibited. Any infringement will be prosecuted under applicable laws. 
//
#endregion

using System;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using Syncfusion.Windows.Forms.Chart;
using Syncfusion.Drawing ;
using Syncfusion.Styles ;

namespace Syncfusion.Windows.Forms.Chart.Samples
{
	/// <summary>
	/// The ChartControl sample form.
	/// </summary>
	public class FormMain : Form
	{
		private Syncfusion.Windows.Forms.Chart.ChartControl chartControl1;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.RadioButton radioButton1;
		private System.Windows.Forms.RadioButton radioButton2;
		private System.Windows.Forms.GroupBox groupBox2;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.ComboBox comboBox1;
		private System.Windows.Forms.ComboBox comboBox2;
		private Syncfusion.Windows.Forms.ColorPickerButton colorPickerButton1;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.ComboBox comboBox3;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormMain()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
InitializeControlSettings();

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(FormMain));
			this.chartControl1 = new Syncfusion.Windows.Forms.Chart.ChartControl();
			this.panel1 = new System.Windows.Forms.Panel();
			this.comboBox3 = new System.Windows.Forms.ComboBox();
			this.label3 = new System.Windows.Forms.Label();
			this.colorPickerButton1 = new Syncfusion.Windows.Forms.ColorPickerButton();
			this.comboBox2 = new System.Windows.Forms.ComboBox();
			this.comboBox1 = new System.Windows.Forms.ComboBox();
			this.label2 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.groupBox2 = new System.Windows.Forms.GroupBox();
			this.radioButton2 = new System.Windows.Forms.RadioButton();
			this.radioButton1 = new System.Windows.Forms.RadioButton();
			this.panel1.SuspendLayout();
			this.groupBox2.SuspendLayout();
			this.SuspendLayout();
			// 
			// chartControl1
			// 
			this.chartControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.chartControl1.Controls.Add(this.chartControl1.Legend);
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			// 
			// chartControl1.Legend
			// 
			this.chartControl1.Legend.Font = new System.Drawing.Font("Verdana", 10F);
			this.chartControl1.Legend.ItemsShadowColor = System.Drawing.Color.Gray;
			this.chartControl1.Legend.Location = new System.Drawing.Point(308, 49);
			this.chartControl1.Legend.Name = "";
			this.chartControl1.Legend.TabIndex = 3;
			this.chartControl1.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.Name = "chartControl1";
			this.chartControl1.PrimaryXAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryXAxis.SmartDateZoomMonthLevelLabelFormat = "m";
			this.chartControl1.PrimaryYAxis.LabelAligment = System.Drawing.StringAlignment.Center;
			this.chartControl1.PrimaryYAxis.SmartDateZoomMonthLevelLabelFormat = "m";
			this.chartControl1.Size = new System.Drawing.Size(416, 376);
			this.chartControl1.TabIndex = 0;
			this.chartControl1.Text = "Essential Chart";
			this.chartControl1.ToolBar.Location = new System.Drawing.Point(0, 0);
			this.chartControl1.ZoomOutIncrement = 1.5;
			this.chartControl1.Click += new System.EventHandler(this.chartControl1_Click);
			// 
			// panel1
			// 
			this.panel1.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.panel1.BackColor = System.Drawing.Color.White;
			this.panel1.Controls.Add(this.comboBox3);
			this.panel1.Controls.Add(this.label3);
			this.panel1.Controls.Add(this.colorPickerButton1);
			this.panel1.Controls.Add(this.comboBox2);
			this.panel1.Controls.Add(this.comboBox1);
			this.panel1.Controls.Add(this.label2);
			this.panel1.Controls.Add(this.label1);
			this.panel1.Controls.Add(this.groupBox2);
			this.panel1.Location = new System.Drawing.Point(416, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(136, 376);
			this.panel1.TabIndex = 2;
			// 
			// comboBox3
			// 
			this.comboBox3.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBox3.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(128)), ((System.Byte)(0)));
			this.comboBox3.Items.AddRange(new object[] {
														   "1",
														   "2",
														   "3",
														   "4",
														   "5",
														   "6"});
			this.comboBox3.Location = new System.Drawing.Point(16, 280);
			this.comboBox3.Name = "comboBox3";
			this.comboBox3.Size = new System.Drawing.Size(104, 21);
			this.comboBox3.TabIndex = 9;
			this.comboBox3.SelectedIndexChanged += new System.EventHandler(this.comboBox3_SelectedIndexChanged);
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 248);
			this.label3.Name = "label3";
			this.label3.TabIndex = 11;
			this.label3.Text = "Line Width";
			// 
			// colorPickerButton1
			// 
			this.colorPickerButton1.ColorUISize = new System.Drawing.Size(208, 230);
			this.colorPickerButton1.Cursor = System.Windows.Forms.Cursors.Hand;
			this.colorPickerButton1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.colorPickerButton1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.colorPickerButton1.Location = new System.Drawing.Point(16, 320);
			this.colorPickerButton1.Name = "colorPickerButton1";
			this.colorPickerButton1.SelectedColorGroup = Syncfusion.Windows.Forms.ColorUISelectedGroup.None;
			this.colorPickerButton1.Size = new System.Drawing.Size(104, 40);
			this.colorPickerButton1.TabIndex = 10;
			this.colorPickerButton1.Text = "Choose Color";
			this.colorPickerButton1.ColorSelected += new System.EventHandler(this.Color_selected);
			// 
			// comboBox2
			// 
			this.comboBox2.Cursor = System.Windows.Forms.Cursors.Hand;
			this.comboBox2.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBox2.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(146)), ((System.Byte)(35)));
			this.comboBox2.Items.AddRange(new object[] {
														   "1",
														   "2",
														   "3",
														   "4",
														   "5",
														   "6"});
			this.comboBox2.Location = new System.Drawing.Point(16, 208);
			this.comboBox2.Name = "comboBox2";
			this.comboBox2.Size = new System.Drawing.Size(104, 21);
			this.comboBox2.TabIndex = 9;
			this.comboBox2.SelectedIndexChanged += new System.EventHandler(this.combobox2_changed);
			// 
			// comboBox1
			// 
			this.comboBox1.Cursor = System.Windows.Forms.Cursors.Hand;
			this.comboBox1.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
			this.comboBox1.ForeColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(146)), ((System.Byte)(35)));
			this.comboBox1.Location = new System.Drawing.Point(16, 152);
			this.comboBox1.Name = "comboBox1";
			this.comboBox1.Size = new System.Drawing.Size(104, 21);
			this.comboBox1.TabIndex = 8;
			this.comboBox1.SelectedIndexChanged += new System.EventHandler(this.combobox1_changed);
			// 
			// label2
			// 
			this.label2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label2.Location = new System.Drawing.Point(16, 184);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(80, 16);
			this.label2.TabIndex = 7;
			this.label2.Text = "GridLine Width";
			// 
			// label1
			// 
			this.label1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label1.Location = new System.Drawing.Point(16, 128);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(80, 16);
			this.label1.TabIndex = 6;
			this.label1.Text = "GridLine Style";
			// 
			// groupBox2
			// 
			this.groupBox2.Controls.Add(this.radioButton2);
			this.groupBox2.Controls.Add(this.radioButton1);
			this.groupBox2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.groupBox2.Location = new System.Drawing.Point(16, 16);
			this.groupBox2.Name = "groupBox2";
			this.groupBox2.Size = new System.Drawing.Size(96, 104);
			this.groupBox2.TabIndex = 5;
			this.groupBox2.TabStop = false;
			this.groupBox2.Text = "GridLine";
			// 
			// radioButton2
			// 
			this.radioButton2.Cursor = System.Windows.Forms.Cursors.Hand;
			this.radioButton2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.radioButton2.Location = new System.Drawing.Point(16, 64);
			this.radioButton2.Name = "radioButton2";
			this.radioButton2.Size = new System.Drawing.Size(64, 24);
			this.radioButton2.TabIndex = 2;
			this.radioButton2.Text = "Y Axis";
			this.radioButton2.CheckedChanged += new System.EventHandler(this.selected_changed);
			// 
			// radioButton1
			// 
			this.radioButton1.Checked = true;
			this.radioButton1.Cursor = System.Windows.Forms.Cursors.Hand;
			this.radioButton1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.radioButton1.Location = new System.Drawing.Point(16, 24);
			this.radioButton1.Name = "radioButton1";
			this.radioButton1.Size = new System.Drawing.Size(64, 24);
			this.radioButton1.TabIndex = 1;
			this.radioButton1.TabStop = true;
			this.radioButton1.Text = "X Axis";
			this.radioButton1.CheckedChanged += new System.EventHandler(this.selected_changed);
			// 
			// FormMain
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(552, 374);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.chartControl1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "FormMain";
			this.Text = "Essential Chart - Chart Grid Lines Sample";
			this.Load += new System.EventHandler(this.FormMain_Load);
			this.panel1.ResumeLayout(false);
			this.groupBox2.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void InitializeControlSettings()
	  {
			this.chartControl1.Font = new System.Drawing.Font("Arial", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));

		  // Specify a ChartPalette:
		  Color[] color = new Color[]{Color.FromArgb(185, 73,141,238), Color.FromArgb(185,247,179,78),Color.FromArgb(185,186,66,30)};
		  this.chartControl1.Palette = ChartColorPalette.Custom ;
		  this.chartControl1.Model.ColorModel.CustomColors = color;
		  this.chartControl1.Palette = ChartColorPalette.Custom ;

		  this.chartControl1.ChartInterior = new Syncfusion.Drawing.BrushInfo(185,new Syncfusion.Drawing.BrushInfo(Syncfusion.Drawing.GradientStyle.Vertical, Color.LightBlue , Color.Azure));
		  this.chartControl1.LegendPosition = ChartLegendPosition.Top;
		this.chartControl1.HidePartialLabels = true;
	  }

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new FormMain());
		}

		
		private void FormMain_Load(object sender, System.EventArgs e)
		{
			

			InitializeChartData();
			InitializeChartAppearance();
			FillControlPanel();
		}

		/// <summary>
		/// Initializes the ChartControl's data and sets the Chart type
		/// </summary>
		protected void InitializeChartData()
		{
			ChartSeries series1 = this.chartControl1.Model.NewSeries(" Server 1",ChartSeriesType.Spline);
			series1.Text = series1.Name;
            DateTime date=new DateTime(2006,2,6);
			series1.Points.Add(date,256);
			series1.Points.Add(date.AddDays(1),491);
			series1.Points.Add(date.AddDays(2),382);
			series1.Points.Add(date.AddDays(3),437);
			series1.Points.Add(date.AddDays(4),321);

			
			series1.Style.Font.Bold = true;

			ChartSeries series2 = this.chartControl1.Model.NewSeries(" Server 2",ChartSeriesType.Spline);
			series2.Text = series2.Name;

			series2.Points.Add(date,437);
			series2.Points.Add(date.AddDays(1),451);
			series2.Points.Add(date.AddDays(2),490);
			series2.Points.Add(date.AddDays(3),366);
			series2.Points.Add(date.AddDays(4),422);

			
			series2.Style.Font.Bold = true;

			series1.PrepareStyle+=new ChartPrepareStyleInfoHandler(ChartControlSeries_PrepareStyle);
			series2.PrepareStyle+=new ChartPrepareStyleInfoHandler(ChartControlSeries_PrepareStyle);

			this.chartControl1.Series.Add(series1);
			this.chartControl1.Series.Add(series2);
			
			this.chartControl1.PrimaryXAxis.ValueType=ChartValueType.DateTime;
			this.chartControl1.PrimaryXAxis.DateTimeFormat="MMM/dd,ddd";
			this.chartControl1.PrimaryXAxis.LabelRotate=true;
			this.chartControl1.PrimaryXAxis.LabelRotateAngle=45;
			this.chartControl1.Text="WeekDays Average Network Load";
		}

		/// <summary>
		/// Sets properties to customize the ChartControl's appearance
		/// </summary>
		protected void InitializeChartAppearance()
		{
			this.chartControl1.PrimaryXAxis.GridLineType.ForeColor = Color.Red;
			this.chartControl1.PrimaryYAxis.GridLineType.ForeColor = Color.Blue;
			this.chartControl1.PrimaryXAxis.GridLineType.Width  = 3;
		}	
	

		/// <summary>
		/// Handler for the PrepareStyle event of ChartSeries. 
		/// </summary>
		/// <param name="sender">The ChartSeries object that raises this event.</param>
		/// <param name="args">The event data. Can be modified to change series appearance.</param>
		protected void ChartControlSeries_PrepareStyle(object sender, ChartPrepareStyleInfoEventArgs args)
		{
			// Style formatting using a callback. You can apply the same settings directly on the series style on the
			// point styles.
			ChartSeries series = sender as ChartSeries;
			if(series != null)
			{
				args.Style.Text = string.Format("Value is {0}", series.Points[args.Index].YValues[0]);
				args.Style.TextOrientation = ChartTextOrientation.Center;
				args.Style.Symbol.Size = new Size(15,15);
				args.Style.Symbol.Color = Color.Red;
				args.Style.DisplayShadow = true;

				if(series == this.chartControl1.Series[0])
					args.Style.Symbol.Shape = ChartSymbolShape.Cross;
				else
					args.Style.Symbol.Shape = ChartSymbolShape.Circle;
			}
		}

		private void FillControlPanel()
		{
			foreach(string lineType in Enum.GetNames(typeof( System.Drawing.Drawing2D.DashStyle)))
			{
				this.comboBox1.Items.Add(lineType);
			}
			this.comboBox1.SelectedIndex = 0;
			this.comboBox2.SelectedIndex = 2;
			this.comboBox3.SelectedIndex = 2;
		}

		private void selected_changed(object sender, System.EventArgs e)
		{
			SetColor();
			this.chartControl1.Refresh();
		}

		protected void SetColor()
		{
			if(this.radioButton1.Checked)
				this.chartControl1.PrimaryXAxis.GridLineType.ForeColor = this.colorPickerButton1.SelectedColor ;
			else if(this.radioButton2.Checked)
				this.chartControl1.PrimaryYAxis.GridLineType.ForeColor = this.colorPickerButton1.SelectedColor ;
		}

		private void Color_selected(object sender, System.EventArgs e)
		{
			SetColor();
			this.chartControl1.Refresh();
		}

		private void combobox1_changed(object sender, System.EventArgs e)
		{
			if(this.radioButton1.Checked)
				this.chartControl1.PrimaryXAxis.GridLineType.DashStyle = (DashStyle) Enum.Parse(typeof(DashStyle), this.comboBox1.SelectedItem.ToString(), true);
			else
				this.chartControl1.PrimaryYAxis.GridLineType.DashStyle = (DashStyle) Enum.Parse(typeof(DashStyle), this.comboBox1.SelectedItem.ToString(), true);
			this.chartControl1.Refresh();
		}

		private void combobox2_changed(object sender, System.EventArgs e)
		{
			if(this.radioButton1.Checked)
				this.chartControl1.PrimaryXAxis.GridLineType.Width = (float)this.comboBox2.SelectedIndex ;
			else
				this.chartControl1.PrimaryYAxis.GridLineType.Width = (float)this.comboBox2.SelectedIndex ;
			this.chartControl1.Refresh();
		}
	

		private void comboBox3_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			this.chartControl1.Series[0].Style.Border.Width=Convert.ToInt16(this.comboBox3.SelectedItem.ToString());
			this.chartControl1.Series[1].Style.Border.Width=Convert.ToInt16(this.comboBox3.SelectedItem.ToString());
				
			this.chartControl1.Refresh();
		}

		private void chartControl1_Click(object sender, System.EventArgs e)
		{
		
		}

		
	}
}
